[hsflinux] Re: hsflinux Digest, Vol 39, Issue 10

Christophe TROESTLER Christophe.Troestler at umh.ac.be
Sat Oct 28 21:20:46 EDT 2006

On Sat, 28 Oct 2006, hsflinux-request at lists.linuxant.com wrote:
> insmod /lib/modules/2.6.16-2-k7/extra/hsfpcibasic2.ko
> FATAL: Error inserting hsfpcibasic2
> (/lib/modules/2.6.16-2-k7/extra/hsfpcibasic2.ko): Invalid module format
> hsfmc97ali: version magic '2.6.16-2-k7 K7 gcc-4.1' should be
> '2.6.16-2-k7 K7 gcc-4.0'

You should install gcc 4.0 and make sure your module is compiled with
this version of the gcc compiler (or else recompile your kernel with
the current version of gcc).


More information about the hsflinux mailing list